#include <stdio.h>
#include <string.h>	
#include <avr/io.h>	
#include <avr/interrupt.h>
#include <util/delay.h>
#include "usart.h"
#include "spi.h"

// Defines
#define sleep() asm volatile ("nop")
typedef union { uint8_t B[4]; //Zum Aufteilen der 3Byte flashadresse
                uint32_t ALL;
               } uint32to8_t;




//Prototypen
void print_int (uint8_t wert);


//Globale Variablen
uint32to8_t FlashADD;
uint8_t USARTReciveData;
//Hauptprogramm
int main (void)
{	

uint8_t ret0,ret1,ret2 ;
USART0_init();
SPI_MasterInit();

_delay_ms(200);


USART0_write('s');

Flash_Enable();
SPI_MasterTransmit(0x9f); //JEDEC Read-ID 3Byte Return
ret2 = SPI_MasterReceive(); //byte2
ret1 = SPI_MasterReceive(); //byte1
ret0 = SPI_MasterReceive(); //byte0
Flash_Disable();

USART0_write(ret2);
USART0_write(ret1);
USART0_write(ret0);

USART0_write('e');



	while(1) 	//hauptschleife
	{


		//nix
	}	
// cli(); //int deaktivieren
	return (1);
}


ISR(USART_RX_vect)
{
	USARTReciveData = UDR0;  //daten vom uart
    USART0_write(USARTReciveData);
}

void print_int (uint8_t wert)
{
  int i;
  uint8_t ASCIIString[3];

  if (wert <= 0)
  {
  USART0_write('0');
  }
  else
  {
    for (i=0; wert!=0; i++)
    {
      ASCIIString[i] = wert % 10;
      ASCIIString[i] += 48;
      wert /= 10;
    }
	i--;
	while(i != 0)
	{
      USART0_write( ASCIIString[i] );
	  i--;
    }
	USART0_write( ASCIIString[0] );
  }
}
