#include "spi.h"

void SPI_MasterInit(void)
{
/* Set MOSI and SCK output, all others input */
DDR_SPI = (1<<DD_MOSI)|(1<<DD_SCK);
/* Enable SPI, Master, set clock rate fck/2 */
SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPI2X);  //old working

DDR_SPI |= (1<<PB1);	//Setzen von Pin B1 PortB auf Output (High) "Chip Select"
}

void SPI_MasterTransmit(uint8_t cData)
{
/* Start transmission */
SPDR = cData;
/* Wait for transmission complete */
while(!(SPSR & (1<<SPIF)));
}

uint8_t SPI_MasterReceive (void)
//############################################################################
{
	uint8_t Byte = 0;
	SPDR = 0xff;
	while(!(SPSR & (1<<SPIF)));
	Byte = SPDR;
	return (Byte);
}
