#include <avr/io.h>

#define DDR_SPI DDRB //data direction register portb
#define DD_MOSI DDB3 //data direction bits for data direction register (also welcher bin als ausgenag)
#define DD_MISO DDB4 //data direction bits for data direction register
#define DD_SCK DDB5 //data direction bits for data direction register

void SPI_MasterInit(void);
void SPI_MasterTransmit(uint8_t cData);
uint8_t SPI_MasterReceive (void);

//set Flash to high
#define Flash_Disable() PORTB|= (1<<PB1);

//set Flash to low
#define Flash_Enable() PORTB&=~(1<<PB1);
